Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361187 - [abrt] python-ipython-console: filter_updown(): python3.5 killed by SIGABRT
Summary: [abrt] python-ipython-console: filter_updown(): python3.5 killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawkey
Version: 25
Hardware: x86_64
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8ed6fd4d4458a99684ab79c87ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 13:10 UTC by sedrubal
Modified: 2017-10-04 22:24 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-04 14:22:22 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: cgroup (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: core_backtrace (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: dso_list (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: environ (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: limits (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: maps (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: mountinfo (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: namespaces (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: open_fds (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: proc_pid_status (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details
File: var_log_messages (deleted)
2016-07-28 13:11 UTC, sedrubal
no flags Details

Description sedrubal 2016-07-28 13:10:55 UTC
Description of problem:
On fedora run:

import dnf
import hawkey
q=dnf.query.Query(hawkey.Sack())
u=q.upgrades()
for i in u: print(i)

Version-Release number of selected component:
python-ipython-console-3.2.1-7.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/ipython
crash_function: filter_updown
executable:     /usr/bin/python3.5
global_pid:     31805
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 filter_updown at /usr/src/debug/hawkey-0.6.3/src/query.c:643
 #5 hy_query_apply at /usr/src/debug/hawkey-0.6.3/src/query.c:892
 #6 hy_query_run_set at /usr/src/debug/hawkey-0.6.3/src/query.c:1274
 #7 run at /usr/src/debug/hawkey-0.6.3/src/python/query-py.c:313
 #8 call_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4663
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-3.5.1/Python/ceval.c:3209
 #10 _PyEval_EvalCodeWithName at /usr/src/debug/Python-3.5.1/Python/ceval.c:3995
 #11 fast_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4793
 #12 call_function at /usr/src/debug/Python-3.5.1/Python/ceval.c:4710
 #13 PyEval_EvalFrameEx at /usr/src/debug/Python-3.5.1/Python/ceval.c:3209

Comment 1 sedrubal 2016-07-28 13:11:04 UTC
Created attachment 1185088 [details]
File: backtrace

Comment 2 sedrubal 2016-07-28 13:11:05 UTC
Created attachment 1185089 [details]
File: cgroup

Comment 3 sedrubal 2016-07-28 13:11:07 UTC
Created attachment 1185090 [details]
File: core_backtrace

Comment 4 sedrubal 2016-07-28 13:11:09 UTC
Created attachment 1185091 [details]
File: dso_list

Comment 5 sedrubal 2016-07-28 13:11:10 UTC
Created attachment 1185092 [details]
File: environ

Comment 6 sedrubal 2016-07-28 13:11:12 UTC
Created attachment 1185093 [details]
File: limits

Comment 7 sedrubal 2016-07-28 13:11:14 UTC
Created attachment 1185094 [details]
File: maps

Comment 8 sedrubal 2016-07-28 13:11:15 UTC
Created attachment 1185095 [details]
File: mountinfo

Comment 9 sedrubal 2016-07-28 13:11:17 UTC
Created attachment 1185096 [details]
File: namespaces

Comment 10 sedrubal 2016-07-28 13:11:18 UTC
Created attachment 1185097 [details]
File: open_fds

Comment 11 sedrubal 2016-07-28 13:11:19 UTC
Created attachment 1185098 [details]
File: proc_pid_status

Comment 12 sedrubal 2016-07-28 13:11:21 UTC
Created attachment 1185099 [details]
File: var_log_messages

Comment 13 Mairi Dulaney 2016-07-28 13:52:04 UTC
Can reproduce with python3-3.5.1-12

Comment 14 Thomas Spura 2017-02-09 22:28:13 UTC
I can also reproduce this with $ rpm -q python python3
python-2.7.13-1.fc25.x86_64
python3-3.5.2-4.fc25.x86_64

This has nothing to do with ipython, assigning to hawkey instead.

Comment 15 Honza Silhan 2017-02-13 14:12:04 UTC
It could be fixed in hawkey and return empty list when the Sack is empty.

BTW base.sack() from DNF base object should be used not hawkey directly. It's more convenient.

Comment 16 Jaroslav Mracek 2017-08-31 14:10:03 UTC
I created a patch that should solve the problem (https://github.com/rpm-software-management/libdnf/pull/323).

Comment 17 Fedora Update System 2017-10-02 10:32:23 UTC
dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-core-2.1.4-1.fc27 dnf-2.7.2-1.fc27 libdnf-0.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 18 Fedora Update System 2017-10-02 10:36:45 UTC
dnf-plugins-extras-2.0.3-1.fc26 dnf-plugins-core-2.1.4-1.fc26 dnf-2.7.2-1.fc26 libdnf-0.10.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 19 Fedora Update System 2017-10-02 20:27:37 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 20 Fedora Update System 2017-10-02 21:27:00 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 21 Fedora Update System 2017-10-04 14:22:22 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-10-04 22:24:37 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.